From 068c67b9c04fa24e635a44a1fefe97106c52669f Mon Sep 17 00:00:00 2001
From: Pierre-Yves Chibon <pingou@pingoured.fr>
Date: Feb 09 2016 18:31:34 +0000
Subject: [PATCH 286/1001] Allow the repo name to be a fork ie: <user>/<project>


---

diff --git a/hubs/widgets/pagureissues.py b/hubs/widgets/pagureissues.py
index 9fa8f76..58a03fc 100644
--- a/hubs/widgets/pagureissues.py
+++ b/hubs/widgets/pagureissues.py
@@ -102,7 +102,10 @@ def data(session, widget, repo):
           if issue['project']['parent']:
             issue_project_user = issue['project']['user']['username']
         else:
-            issue_project_name = repo
+            if '/' in repo:
+                issue_project_name, issue_project_user = repo.split('/', 1)
+            else:
+              issue_project_name = repo
 
         all_issues.append(
           dict(

